package com.srs.stureg.mapper;

import com.srs.stureg.domain.SrsTaskList;

import java.util.List;

/**
 * 新生待办Mapper接口
 * 
 * @author srs
 * @date 2023-08-18
 */
public interface SrsTaskListMapper 
{
    /**
     * 查询新生待办
     *
     * @param id 新生待办主键
     * @return 新生待办
     */
    public SrsTaskList selectSrsTaskListById(Long id);

    /**
     * 查询新生待办列表
     *
     * @param srsTaskList 新生待办
     * @return 新生待办集合
     */
    List<SrsTaskList> selectSrsTaskListList(SrsTaskList srsTaskList);

    /**
     * 新增新生待办
     *
     * @param srsTaskList 新生待办
     * @return 结果
     */
    int insertSrsTaskList(SrsTaskList srsTaskList);

    /**
     * 修改新生待办
     *
     * @param srsTaskList 新生待办
     * @return 结果
     */
    int updateSrsTaskList(SrsTaskList srsTaskList);

    /**
     * 删除新生待办
     *
     * @param id 新生待办主键
     * @return 结果
     */
    int deleteSrsTaskListById(Long id);

    /**
     * 批量删除新生待办
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsTaskListByIds(Long[] ids);
}
